Index: trunk/examples/extended/medical/DICOM/include/DicomDetectorConstruction.hh
===================================================================
--- trunk/examples/extended/medical/DICOM/include/DicomDetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/medical/DICOM/include/DicomDetectorConstruction.hh	(revision 1337)
@@ -97,4 +97,5 @@
   std::vector<G4Material*> fMaterials;  // list of new materials created to distinguish different density voxels that have the same original materials
   size_t* fMateIDs; // index of material of each voxel
+ //unsigned int* fMateIDs; // index of material of each voxel
 
   std::map<G4int,G4double> fDensityDiffs; // Density difference to distinguish material for each original material (by index)
Index: trunk/examples/extended/medical/DICOM/include/DicomHandler.hh
===================================================================
--- trunk/examples/extended/medical/DICOM/include/DicomHandler.hh	(revision 1230)
+++ trunk/examples/extended/medical/DICOM/include/DicomHandler.hh	(revision 1337)
@@ -90,8 +90,11 @@
 
     void GetInformation(G4int &, char *);
-    G4double Pixel2density(G4int pixel);
+    G4float Pixel2density(G4int pixel);
     void ReadMaterialIndices( std::ifstream& finData);
-    size_t GetMaterialIndex( G4double density );
+    unsigned int GetMaterialIndex( G4float density );
     void StoreData(std::ofstream& foutG4DCM);
+    G4int read_defined_nested(FILE *, G4int);
+    void read_undefined_nested(FILE *);
+    void read_undefined_item(FILE *);
 
     short compression;
@@ -112,5 +115,5 @@
 
     G4int** tab;
-  std::map<G4double,G4String> fMaterialIndices;
+    std::map<G4float,G4String> fMaterialIndices;
 };
 #endif
Index: trunk/examples/extended/medical/DICOM/include/DicomNestedPhantomParameterisation.hh
===================================================================
--- trunk/examples/extended/medical/DICOM/include/DicomNestedPhantomParameterisation.hh	(revision 1230)
+++ trunk/examples/extended/medical/DICOM/include/DicomNestedPhantomParameterisation.hh	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: DicomNestedPhantomParameterisation.hh,v 1.3 2009/01/27 10:44:58 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: DicomNestedPhantomParameterisation.hh,v 1.5 2009/11/19 16:15:23 chauvie Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // --------------------------------------------------------------------
@@ -76,8 +76,9 @@
       // of all instances with the same mother/ancestor volume
 
-    size_t GetMaterialIndex( size_t nx, size_t ny, size_t nz) const;
-    size_t GetMaterialIndex( size_t copyNo) const;
+    unsigned int GetMaterialIndex( unsigned int nx, unsigned int ny, unsigned int nz) const;
+    unsigned int GetMaterialIndex( unsigned int copyNo) const;
+    //void SetMaterialIndices( unsigned int* matInd ) { fMaterialIndices = matInd; }
     void SetMaterialIndices( size_t* matInd ) { fMaterialIndices = matInd; }
-    void SetNoVoxel( size_t nx, size_t ny, size_t nz );
+    void SetNoVoxel( unsigned int nx, unsigned int ny, unsigned int nz );
 
     void ComputeTransformation(const G4int no,
@@ -121,5 +122,5 @@
     std::vector<G4Material*> fMaterials;
     size_t* fMaterialIndices; // Index in materials corresponding to each voxel
+//    unsigned int* fMaterialIndices; // Index in materials corresponding to each voxel
 };
-
 #endif
Index: trunk/examples/extended/medical/DICOM/include/DicomPhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/DICOM/include/DicomPhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/medical/DICOM/include/DicomPhysicsList.hh	(revision 1337)
@@ -24,18 +24,7 @@
 // ********************************************************************
 //
-// The code was written by :
-//	*Louis Archambault louis.archambault@phy.ulaval.ca,
-//      *Luc Beaulieu beaulieu@phy.ulaval.ca
-//      +Vincent Hubert-Tremblay at tigre.2@sympatico.ca
-//
-//
-// *Centre Hospitalier Universitaire de Quebec (CHUQ),
-// Hotel-Dieu de Quebec, departement de Radio-oncologie
-// 11 cote du palais. Quebec, QC, Canada, G1R 2J6
-// tel (418) 525-4444 #6720
-// fax (418) 691 5268
-//
-// + Université Laval, Québec (QC) Canada
-//*******************************************************//
+// -------------------------------------------------------------------
+// $Id: DicomPhysicsList.hh,v 1.7 2009/10/26 11:21:01 chauvie Exp $
+// -------------------------------------------------------------------
 
 #ifndef DicomPhysicsList_h
@@ -43,9 +32,6 @@
 
 #include "G4VUserPhysicsList.hh"
-#include "globals.hh"
 
-class G4LowEnergyIonisation;
-class G4LowEnergyPhotoElectric;
-class G4LowEnergyBremsstrahlung;
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
 class DicomPhysicsList: public G4VUserPhysicsList
@@ -55,36 +41,24 @@
   ~DicomPhysicsList();
 
-  // Set Cuts
-  void SetGammaCut(G4double);
-  void SetElectronCut(G4double);
-  void SetPositronCut(G4double);
- 
-protected:
-  // Construct particle and physics
-  void ConstructParticle();
-  void ConstructProcess();
-
-  void SetCuts();
-
-  // these methods Construct particles
-  void ConstructBosons();
-  void ConstructLeptons();
-
-  // these methods Construct physics processes and register them
-  void ConstructGeneral();
-  void ConstructEM();
-
 private:
-
+  
   G4double cutForGamma;
   G4double cutForElectron;
   G4double cutForPositron;
+  
+protected:
+  
+  void ConstructParticle();
+  void ConstructBosons();
+  void ConstructLeptons();
+  void ConstructBaryons();
 
-  G4LowEnergyIonisation*  loweIon;
-  G4LowEnergyPhotoElectric* lowePhot;
-  G4LowEnergyBremsstrahlung* loweBrem;
-
+  void ConstructProcess();
+  void ConstructEM();
+  void ConstructHad();
+  void ConstructGeneral();
+  void SetCuts();
+  
 };
-
 #endif
 
